﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Airbus
{
    internal class DrawningObjectAirplane : IDrawningObject
    {
        private DrawningAirplane _airplane = null;

        public DrawningObjectAirplane(DrawningAirplane airplane)
        {
            _airplane = airplane;
        }
        public float Step => _airplane?.airplane?.Step ?? 0;
        public void DrawningObject(Graphics g)
        {
            _airplane?.DrawTransport(g);
        }
        public (float Left, float Right, float Top, float Bottom) GetCurrentPosition()
        {
            return _airplane?.GetCurrentPosition() ?? default;
        }
        public void MoveObject(Direction direction)
        {
            _airplane?.MoveTransport(direction);
        }
        public void SetObject(int x, int y, int width, int height)
        {
            _airplane?.SetPosition(x, y, width, height);
        }
    }
}
